#include "../headers/Heart.hpp"

Heart::Heart(float x, float y, sf::Texture &texture) : ObjectItem(x,y,texture) {
    outOfBounds = false;
    texture = texture;
    sprite.setTexture(texture);
    sprite.setOrigin(sprite.getLocalBounds().width / 2, sprite.getLocalBounds().height / 2); // wycentrowanie sprite
    sprite.setPosition(x, y);
    movingSpeed = 3.0f;
//    sprite.scale(0.05f, 0.05f);
    position.x = x;
    position.y = y;
    rotationSpeed = 0;
}

void Heart::update() {
    sprite.move(0.0f, movingSpeed); // przesunięcie sprajta
    position.y += int(movingSpeed); // przesunięcie pozycji
//    sprite.rotate(rotationSpeed); // obracanie tym meteorkiem pięknym
    if(position.y > 900) {
        outOfBounds = true; // jeżeli wyszedł poza granice ekranu ustaw tą zmienną
    }
}